
#include "font_lcd44780.h"

#define r(x) ((U8)~0x##x)
#define n(x) ((U8) 0x##x)
#define N(m,a,b,c,d,e,f,g,h) {m(a), m(b), m(c), m(d), m(e), m(f), m(g), m(h)}

// this is ROM Code: A02

const U8 font_lcd44780[256][FONT_H]=
{
/* \x00 */ N(n,00,00,00,00,00,00,00,00),
/* \x01 */ N(n,00,00,00,00,00,00,00,00),
/* \x02 */ N(n,00,00,00,00,00,00,00,00),
/* \x03 */ N(n,00,00,00,00,00,00,00,00),
/* \x04 */ N(n,00,00,00,00,00,00,00,00),
/* \x05 */ N(n,00,00,00,00,00,00,00,00),
/* \x06 */ N(n,00,00,00,00,00,00,00,00),
/* \x07 */ N(n,00,00,00,00,00,00,00,00),
/* \x08 */ N(n,00,00,00,00,00,00,00,00),
/* \x09 */ N(n,00,00,00,00,00,00,00,00),
/* \n   */ N(r,00,00,0e,16,12,12,12,00),
/* \x0b */ N(n,00,00,00,00,00,00,00,00),
/* \x0c */ N(n,00,00,00,00,00,00,00,00),
/* \r   */ N(r,00,00,0e,16,02,02,02,00),
/* \x0e */ N(n,00,00,00,00,00,00,00,00),
/* \x0f */ N(n,00,00,00,00,00,00,00,00),
/* \x10 */ N(n,00,02,06,0e,1e,0e,06,02),
/* \x11 */ N(n,00,08,0c,0e,0f,0e,0c,08),
/* \x12 */ N(n,00,12,09,1b,00,00,00,00),
/* \x13 */ N(n,00,1b,12,09,00,00,00,00),
/* \x14 */ N(n,00,04,0e,1f,00,04,0e,1f),
/* \x15 */ N(n,00,1f,0e,04,00,1f,0e,04),
/* \x16 */ N(n,00,00,0e,1f,1f,1f,0e,00),
/* \x17 */ N(n,00,10,10,14,12,1f,02,04),
/* \x18 */ N(n,00,04,0e,15,04,04,04,04),
/* \x19 */ N(n,00,04,04,04,04,15,0e,04),
/* \x1a */ N(n,00,00,04,08,1f,08,04,00),
/* \x1b */ N(n,00,00,04,02,1f,02,04,00),
/* \x1c */ N(n,00,08,04,02,04,08,00,1f),
/* \x1d */ N(n,00,02,04,08,04,02,00,1f),
/* \x1e */ N(n,00,00,04,04,0e,0e,1f,00),
/* \x1f */ N(n,00,00,1f,0e,0e,04,04,00),
/*      */ N(n,00,00,00,00,00,00,00,00),
/*  !   */ N(n,00,04,04,04,04,00,00,04),
/*  "   */ N(n,00,0a,0a,0a,00,00,00,00),
/*  #   */ N(n,00,0a,0a,1f,0a,1f,0a,0a),
/*  $   */ N(n,00,04,1e,05,0e,14,0f,04),
/*  %   */ N(n,00,03,13,08,04,02,19,18),
/*  &   */ N(n,00,06,09,05,02,15,09,16),
/*  '   */ N(n,00,06,04,02,00,00,00,00),
/*  (   */ N(n,00,08,04,02,02,02,04,08),
/*  )   */ N(n,00,02,04,08,08,08,04,02),
/*  *   */ N(n,00,00,04,15,0e,15,04,00),
/*  +   */ N(n,00,00,04,04,1f,04,04,00),
/*  ,   */ N(n,00,00,00,00,00,06,04,02),
/*  -   */ N(n,00,00,00,00,1f,00,00,00),
/*  .   */ N(n,00,00,00,00,00,00,06,06),
/*  /   */ N(n,00,00,10,08,04,02,01,00),
/*  0   */ N(n,00,0e,11,19,15,13,11,0e),
/*  1   */ N(n,00,04,06,04,04,04,04,0e),
/*  2   */ N(n,00,0e,11,10,08,04,02,1f),
/*  3   */ N(n,00,1f,08,04,08,10,11,0e),
/*  4   */ N(n,00,08,0c,0a,09,1f,08,08),
/*  5   */ N(n,00,1f,01,0f,10,10,11,0e),
/*  6   */ N(n,00,0c,02,01,0f,11,11,0e),
/*  7   */ N(n,00,1f,11,10,08,04,04,04),
/*  8   */ N(n,00,0e,11,11,0e,11,11,0e),
/*  9   */ N(n,00,0e,11,11,1e,10,08,06),
/*  :   */ N(n,00,00,06,06,00,06,06,00),
/*  ;   */ N(n,00,00,06,06,00,06,04,02),
/*  <   */ N(n,00,08,04,02,01,02,04,08),
/*  =   */ N(n,00,00,00,1f,00,1f,00,00),
/*  >   */ N(n,00,02,04,08,10,08,04,02),
/*  ?   */ N(n,00,0e,11,10,08,04,00,04),
/*  @   */ N(n,00,0e,11,10,16,15,15,0e),
/*  A   */ N(n,00,04,0a,11,11,1f,11,11),
/*  B   */ N(n,00,0f,11,11,0f,11,11,0f),
/*  C   */ N(n,00,0e,11,01,01,01,11,0e),
/*  D   */ N(n,00,07,09,11,11,11,09,07),
/*  E   */ N(n,00,1f,01,01,0f,01,01,1f),
/*  F   */ N(n,00,1f,01,01,0f,01,01,01),
/*  G   */ N(n,00,0e,11,01,1d,11,11,1e),
/*  H   */ N(n,00,11,11,11,1f,11,11,11),
/*  I   */ N(n,00,0e,04,04,04,04,04,0e),
/*  J   */ N(n,00,1c,08,08,08,08,09,06),
/*  K   */ N(n,00,11,09,05,03,05,09,11),
/*  L   */ N(n,00,01,01,01,01,01,01,1f),
/*  M   */ N(n,00,11,1b,15,15,11,11,11),
/*  N   */ N(n,00,11,11,13,15,19,11,11),
/*  O   */ N(n,00,0e,11,11,11,11,11,0e),
/*  P   */ N(n,00,0f,11,11,0f,01,01,01),
/*  Q   */ N(n,00,0e,11,11,11,15,09,16),
/*  R   */ N(n,00,0f,11,11,0f,05,09,11),
/*  S   */ N(n,00,0e,11,01,0e,10,11,0e),
/*  T   */ N(n,00,1f,04,04,04,04,04,04),
/*  U   */ N(n,00,11,11,11,11,11,11,0e),
/*  V   */ N(n,00,11,11,11,11,11,0a,04),
/*  W   */ N(n,00,11,11,11,15,15,15,0a),
/*  X   */ N(n,00,11,11,0a,04,0a,11,11),
/*  Y   */ N(n,00,11,11,11,0a,04,04,04),
/*  Z   */ N(n,00,1f,10,08,04,02,01,1f),
/*  {,  */ N(n,00,0e,02,02,02,02,02,0e),
/*  \   */ N(n,00,00,01,02,04,08,10,00),
/*  }   */ N(n,00,0e,08,08,08,08,08,0e),
/*  ^   */ N(n,00,04,0a,11,00,00,00,00),
/*  _   */ N(n,00,00,00,00,00,00,00,1f),
/*  `   */ N(n,00,02,04,08,00,00,00,00),
/*  a   */ N(n,00,00,00,0e,10,1e,11,1e),
/*  b   */ N(n,00,01,01,0d,13,11,11,0f),
/*  c   */ N(n,00,00,00,0e,01,01,11,0e),
/*  d   */ N(n,00,10,10,16,19,11,11,1e),
/*  e   */ N(n,00,00,00,0e,11,1f,01,0e),
/*  f   */ N(n,00,0c,12,02,07,02,02,02),
/*  g   */ N(n,00,00,00,1e,11,1e,10,0e),
/*  h   */ N(n,00,01,01,0d,13,11,11,11),
/*  i   */ N(n,00,04,00,06,04,04,04,0e),
/*  j   */ N(n,00,08,00,0c,08,08,09,06),
/*  k   */ N(n,00,01,01,09,05,03,05,09),
/*  l   */ N(n,00,06,04,04,04,04,04,0e),
/*  m   */ N(n,00,00,00,0b,15,15,15,15),
/*  n   */ N(n,00,00,00,0d,13,11,11,11),
/*  o   */ N(n,00,00,00,0e,11,11,11,0e),
/*  p   */ N(n,00,00,00,0f,11,0f,01,01),
/*  q   */ N(n,00,00,00,16,19,1e,10,10),
/*  r   */ N(n,00,00,00,0d,13,01,01,01),
/*  s   */ N(n,00,00,00,0e,01,0e,10,0f),
/*  t   */ N(n,00,02,02,07,02,02,12,0c),
/*  u   */ N(n,00,00,00,11,11,11,19,16),
/*  v   */ N(n,00,00,00,11,11,11,0a,04),
/*  w   */ N(n,00,00,00,11,11,15,15,0a),
/*  x   */ N(n,00,00,00,11,0a,04,0a,11),
/*  y   */ N(n,00,00,00,11,11,1e,10,0e),
/*  z   */ N(n,00,00,00,1f,08,04,02,1f),
/*  {,  */ N(n,00,08,04,04,02,04,04,08),
/*  |   */ N(n,00,04,04,04,04,04,04,04),
/*  }   */ N(n,00,02,04,04,08,04,04,02),
/*  ~   */ N(n,00,00,00,00,16,09,00,00),
/* \x7f */ N(n,00,04,0a,11,11,11,1f,00),
/* \x80 */ N(n,00,1f,11,01,0f,11,11,0f),
/* \x81 */ N(n,1e,14,14,12,11,1f,11,11),
/* \x82 */ N(n,00,15,15,15,0e,15,15,15),
/* \x83 */ N(n,00,0f,10,10,0c,10,10,0f),
/* \x84 */ N(n,00,11,11,19,15,13,11,11),
/* \x85 */ N(n,0a,04,11,11,19,15,13,11),
/* \x86 */ N(n,00,1e,14,14,14,14,15,12),
/* \x87 */ N(n,00,1f,11,11,11,11,11,11),
/* \x88 */ N(n,00,11,11,11,0a,04,02,01),
/* \x89 */ N(n,00,11,11,11,11,11,1f,10),
/* \x8a */ N(n,00,11,11,11,1e,10,10,10),
/* \x8b */ N(n,00,00,15,15,15,15,15,1f),
/* \x8c */ N(n,00,15,15,15,15,15,1f,10),
/* \x8d */ N(n,00,03,02,02,0e,12,12,0e),
/* \x8e */ N(n,00,11,11,11,13,15,15,13),
/* \x8f */ N(n,00,0e,11,14,1a,10,11,0e),
/* \x90 */ N(n,00,00,00,12,15,09,09,16),
/* \x91 */ N(n,00,04,0c,14,14,04,07,07),
/* \x92 */ N(n,00,1f,11,01,01,01,01,01),
/* \x93 */ N(n,00,00,00,1f,0a,0a,0a,19),
/* \x94 */ N(n,00,1f,01,02,04,02,01,1f),
/* \x95 */ N(n,00,00,00,1e,09,09,09,06),
/* \x96 */ N(n,0c,14,1c,14,14,17,1b,18),
/* \x97 */ N(n,00,00,10,0e,05,04,04,08),
/* \x98 */ N(n,00,04,0e,0e,0e,1f,04,00),
/* \x99 */ N(n,00,0e,11,11,1f,11,11,0e),
/* \x9a */ N(n,00,00,0e,11,11,11,0a,1b),
/* \x9b */ N(n,00,0c,12,04,0a,11,11,0e),
/* \x9c */ N(n,00,00,00,1a,15,0b,00,00),
/* \x9d */ N(n,00,00,0a,1f,1f,1f,0e,04),
/* \x9e */ N(n,00,00,00,0e,01,06,11,0e),
/* \x9f */ N(n,00,0e,11,11,11,11,11,11),
/* \xa0 */ N(n,00,1b,1b,1b,1b,1b,1b,1b),
/* \xa1 */ N(n,00,04,00,00,04,04,04,04),
/* \xa2 */ N(n,00,04,0e,05,05,15,0e,04),
/* \xa3 */ N(n,00,0c,02,02,07,02,12,0d),
/* \xa4 */ N(n,00,00,11,0e,0a,0e,11,00),
/* \xa5 */ N(n,00,11,0a,1f,04,1f,04,04),
/* \xa6 */ N(n,00,04,04,04,00,04,04,04),
/* \xa7 */ N(n,00,0c,12,04,0a,04,09,06),
/* \xa8 */ N(n,00,08,14,04,1f,04,05,02),
/* \xa9 */ N(n,00,1f,11,15,1d,15,11,1f),
/* \xaa */ N(n,00,0e,10,1e,11,1e,00,1f),
/* \xab */ N(n,00,00,14,0a,05,0a,14,00),
/* \xac */ N(n,00,09,15,15,17,15,15,09),
/* \xad */ N(n,00,1e,11,11,1e,14,12,11),
/* \xae */ N(n,00,1f,11,15,11,19,15,1f),
/* \xaf */ N(n,00,04,02,06,00,00,00,00),
/* \xb0 */ N(n,06,09,09,09,06,00,00,00),
/* \xb1 */ N(n,00,04,04,1f,04,04,00,1f),
/* \xb2 */ N(n,06,09,04,02,0f,00,00,00),
/* \xb3 */ N(n,07,08,06,08,07,00,00,00),
/* \xb4 */ N(n,07,09,07,01,09,1d,09,18),
/* \xb5 */ N(n,00,11,11,11,19,17,01,01),
/* \xb6 */ N(n,00,1e,19,19,1e,18,18,18),
/* \xb7 */ N(n,00,00,00,00,06,06,00,00),
/* \xb8 */ N(n,00,00,00,0a,11,15,15,0a),
/* \xb9 */ N(n,02,03,02,02,07,00,00,00),
/* \xba */ N(n,00,0e,11,11,11,0e,00,1f),
/* \xbb */ N(n,00,00,05,0a,14,0a,05,00),
/* \xbc */ N(n,11,09,05,0a,0d,0a,1e,08),
/* \xbd */ N(n,11,09,05,0a,15,10,08,1c),
/* \xbe */ N(n,03,02,03,12,1b,14,1c,10),
/* \xbf */ N(n,00,04,00,04,02,01,11,0e),
/* \xc0 */ N(n,02,04,04,0a,11,1f,11,11),
/* \xc1 */ N(n,08,04,04,0a,11,1f,11,11),
/* \xc2 */ N(n,04,0a,00,0e,11,1f,11,11),
/* \xc3 */ N(n,16,09,00,0e,11,1f,11,11),
/* \xc4 */ N(n,0a,00,04,0a,11,1f,11,11),
/* \xc5 */ N(n,04,0a,04,0e,11,1f,11,11),
/* \xc6 */ N(n,00,1c,06,05,1d,07,05,1d),
/* \xc7 */ N(n,0e,11,01,01,11,0e,08,0c),
/* \xc8 */ N(n,02,04,00,1f,01,0f,01,1f),
/* \xc9 */ N(n,08,04,00,1f,01,0f,01,1f),
/* \xca */ N(n,04,0a,00,1f,01,0f,01,1f),
/* \xcb */ N(n,00,0a,00,1f,01,0f,01,1f),
/* \xcc */ N(n,02,04,00,0e,04,04,04,0e),
/* \xcd */ N(n,08,04,00,0e,04,04,04,0e),
/* \xce */ N(n,04,0a,00,0e,04,04,04,0e),
/* \xcf */ N(n,00,0a,00,0e,04,04,04,0e),
/* \xd0 */ N(n,00,0e,12,12,17,12,12,0e),
/* \xd1 */ N(n,16,09,00,11,13,15,19,11),
/* \xd2 */ N(n,02,04,0e,11,11,11,11,0e),
/* \xd3 */ N(n,08,04,0e,11,11,11,11,0e),
/* \xd4 */ N(n,04,0a,00,0e,11,11,11,0e),
/* \xd5 */ N(n,16,09,00,0e,11,11,11,0e),
/* \xd6 */ N(n,0a,00,0e,11,11,11,11,0e),
/* \xd7 */ N(n,00,00,11,0a,04,0a,11,00),
/* \xd8 */ N(n,00,0e,04,0e,15,0e,04,0e),
/* \xd9 */ N(n,02,04,11,11,11,11,11,0e),
/* \xda */ N(n,08,04,11,11,11,11,11,0e),
/* \xdb */ N(n,04,0a,00,11,11,11,11,0e),
/* \xdc */ N(n,0a,00,11,11,11,11,11,0e),
/* \xdd */ N(n,08,04,11,0a,04,04,04,04),
/* \xde */ N(n,03,02,0e,12,12,0e,02,07),
/* \xdf */ N(n,00,0c,12,12,0e,12,12,0d),
/* \xe0 */ N(n,02,04,00,0e,10,1e,11,1e),
/* \xe1 */ N(n,08,04,00,0e,10,1e,11,1e),
/* \xe2 */ N(n,04,0a,00,0e,10,1e,11,1e),
/* \xe3 */ N(n,16,09,00,0e,10,1e,11,1e),
/* \xe4 */ N(n,00,0a,00,0e,10,1e,11,1e),
/* \xe5 */ N(n,04,0a,04,0e,10,1e,11,1e),
/* \xe6 */ N(n,00,00,0b,14,1e,05,15,0a),
/* \xe7 */ N(n,00,00,0e,01,11,0e,04,06),
/* \xe8 */ N(n,02,04,00,0e,11,1f,01,0e),
/* \xe9 */ N(n,08,04,00,0e,11,1f,01,0e),
/* \xea */ N(n,04,0a,00,0e,11,1f,01,0e),
/* \xeb */ N(n,00,0a,00,0e,11,1f,01,0e),
/* \xec */ N(n,02,04,00,04,06,04,04,0e),
/* \xed */ N(n,08,04,00,04,06,04,04,0e),
/* \xee */ N(n,04,0a,00,04,06,04,04,0e),
/* \xef */ N(n,00,0a,00,04,06,04,04,0e),
/* \xf0 */ N(n,00,05,02,05,08,1e,11,0e),
/* \xf1 */ N(n,16,09,00,0d,13,11,11,11),
/* \xf2 */ N(n,02,04,00,0e,11,11,11,0e),
/* \xf3 */ N(n,08,04,00,0e,11,11,11,0e),
/* \xf4 */ N(n,00,04,0a,00,0e,11,11,0e),
/* \xf5 */ N(n,00,16,09,00,0e,11,11,0e),
/* \xf6 */ N(n,00,0a,00,0e,11,11,11,0e),
/* \xf7 */ N(n,00,00,04,00,1f,00,04,00),
/* \xf8 */ N(n,00,08,04,0e,15,0e,04,02),
/* \xf9 */ N(n,02,04,00,11,11,11,19,16),
/* \xfa */ N(n,08,04,00,11,11,11,19,16),
/* \xfb */ N(n,04,0a,00,11,11,11,19,16),
/* \xfc */ N(n,00,0a,00,11,11,11,19,16),
/* \xfd */ N(n,00,08,04,11,11,1e,10,0e),
/* \xfe */ N(n,00,06,04,0c,14,0c,04,0e),
/* \xff */ N(n,00,0a,00,11,11,1e,10,0e)
};


#undef r
#undef n
#undef N
